| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_seq_analysis_item Struct Reference

Represents a single event or message arrow in a sequence / flow graph analysis. More...

`#include <sequence_analysis.h>`

## Public Attributes
uint32_t | frame_number
address | src_addr
uint16_t | port_src
address | dst_addr
uint16_t | port_dst
char * | frame_label
char * | time_str
char * | comment
uint16_t | conv_num
unsigned | fg_color
unsigned | bg_color
bool | has_color_filter
bool | display
unsigned | src_node
unsigned | dst_node
uint16_t | line_style
ga_info_type | info_type
void * | info_ptr
ga_info_ptr_free_cb | free_info_ptr

## Detailed Description

Represents a single event or message arrow in a sequence / flow graph analysis.

## Member Data Documentation

## ◆ bg_color

unsigned _seq_analysis_item::bg_color

Row background colour as a packed 0xRRGGBB value (Qt only)

## ◆ comment

char* _seq_analysis_item::comment

Annotation text rendered to the right of the graph row

## ◆ conv_num

uint16_t _seq_analysis_item::conv_num

Conversation number used to assign a consistent colour to VoIP calls

## ◆ display

bool _seq_analysis_item::display

True if this item should be rendered in the graph; false to suppress it

## ◆ dst_addr

address _seq_analysis_item::dst_addr

Destination address of the packet

## ◆ dst_node

unsigned _seq_analysis_item::dst_node

Index of the destination node column in the graph (an IP address rendered as a column header)

## ◆ fg_color

unsigned _seq_analysis_item::fg_color

Arrow foreground colour as a packed 0xRRGGBB value (Qt only)

## ◆ frame_label

char* _seq_analysis_item::frame_label

Text label rendered above the arrow in the graph

## ◆ frame_number

uint32_t _seq_analysis_item::frame_number

Wireshark frame number of the packet this item was derived from

## ◆ free_info_ptr

ga_info_ptr_free_cb _seq_analysis_item::free_info_ptr

Callback used to release `info_ptr` when the item is destroyed

## ◆ has_color_filter

bool _seq_analysis_item::has_color_filter

True if a coloring rule was applied to the underlying packet (Qt only)

## ◆ info_ptr

void* _seq_analysis_item::info_ptr

Pointer to protocol-specific supplementary data, or NULL

## ◆ info_type

ga_info_type _seq_analysis_item::info_type

Identifies the type of protocol-specific data in `info_ptr`

## ◆ line_style

uint16_t _seq_analysis_item::line_style

Arrow line width in pixels

## ◆ port_dst

uint16_t _seq_analysis_item::port_dst

Destination transport port of the packet

## ◆ port_src

uint16_t _seq_analysis_item::port_src

Source transport port of the packet

## ◆ src_addr

address _seq_analysis_item::src_addr

Source address of the packet

## ◆ src_node

unsigned _seq_analysis_item::src_node

Index of the source node column in the graph (assigned by graph_analysis.c)

## ◆ time_str

char* _seq_analysis_item::time_str

Formatted timestamp string displayed alongside the arrow

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/sequence_analysis.h